{ pkgs ? import <nixpkgs> { } }:

pkgs.mkShell {
  packages = with pkgs; [
    (rust-bin.stable.latest.default.override {
      extensions = [ "rust-src" "rust-analyzer" ];
      targets = [ "x86_64-unknown-linux-musl" ];
    })
    cargo-auditable
    scdoc

    (python3.withPackages(ps: with ps; [ cryptography urllib3 ]))
    nodePackages.pyright
    shellcheck
  ];
  RUST_BACKTRACE = 1;
}
